## org.gnu.gtk
Class IconTheme

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.IconTheme

public class IconTheme
extends GObject

Constructor Summary
`IconTheme()`

Method Summary
`static void` `addBuiltinIcon(java.lang.String name, int size, Pixbuf pixbuf)`
`void` `appendSearchPath(java.lang.String path)`
`static IconTheme` `getDefault()`
`static IconTheme` `getForSceen(Screen screen)`
`IconSize[]` `getIconSizes(java.lang.String iconName)` Returns an array of `IconSize` describing the sizes at which the icon is available without scaling.
`java.lang.String[]` `getSearchPath()`
`boolean` `hasIcon(java.lang.String iconName)`
`java.lang.String[]` `listIcons(java.lang.String context)`
`Pixbuf` `loadIcon(java.lang.String name, int size, IconLookupFlags flags)` Looks up an icon in an icon theme, scales it to the given size and renders it into a pixbuf.
`IconInfo` `lookupIcon(java.lang.String name, int size, IconLookupFlags flags)`
`void` `prependSearchPath(java.lang.String path)`
`boolean` `rescanIfNeeded()`
`void` `setCustomtTheme(java.lang.String name)`
`void` `setScreen(Screen screen)`
`void` `setSearchPath(java.lang.String[] path)`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IconTheme

    public IconTheme()

Method Detail

### getDefault

    public static IconTheme getDefault()

### getForSceen

    public static IconTheme getForSceen(Screen screen)

### setScreen

    public void setScreen(Screen screen)

### setSearchPath

    public void setSearchPath(java.lang.String[] path)

### getSearchPath

    public java.lang.String[] getSearchPath()

### appendSearchPath

    public void appendSearchPath(java.lang.String path)

### prependSearchPath

    public void prependSearchPath(java.lang.String path)

### setCustomtTheme

    public void setCustomtTheme(java.lang.String name)

### hasIcon

    public boolean hasIcon(java.lang.String iconName)

### lookupIcon

    public IconInfo lookupIcon(java.lang.String name,
                               int size,
                               IconLookupFlags flags)

### loadIcon

    public Pixbuf loadIcon(java.lang.String name,
                           int size,
                           IconLookupFlags flags)

  Looks up an icon in an icon theme, scales it to the given size and renders it into a pixbuf.

  Parameters:
    `name` -
    `size` -
    `flags` -
  Returns:
    The rendered pixbuf, or null if the icon is not found.

### listIcons

    public java.lang.String[] listIcons(java.lang.String context)

### rescanIfNeeded

    public boolean rescanIfNeeded()

### addBuiltinIcon

    public static void addBuiltinIcon(java.lang.String name,
                                      int size,
                                      Pixbuf pixbuf)

### getIconSizes

    public IconSize[] getIconSizes(java.lang.String iconName)

  Returns an array of `IconSize` describing the sizes at which the icon is available without scaling. A size of -1 means that the icon is available in a scalable format.